Bug 1030009 - [abrt] SwXTextDocument in atexit: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] SwXTextDocument in atexit: Process /usr/lib64/libreoffice/program/soff...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4ab17fa0f3b5ebc221ecdd8ed8c...
:
: 981349 1033836 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 11:58 EST by Maciek Borzecki
Modified: 2013-12-13 21:50 EST (History)
8 users (show)

See Also:
Fixed In Version: libreoffice-4.1.3.2-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-07 01:59:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.49 KB, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: core_backtrace (12.42 KB, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: dso_list (24.89 KB, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: environ (1.81 KB, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: maps (117.54 KB, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: open_fds (368 bytes, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details
File: var_log_messages (391 bytes, text/plain)
2013-11-13 11:59 EST, Maciek Borzecki
no flags Details

  None (edit)
Description Maciek Borzecki 2013-11-13 11:58:59 EST
Version-Release number of selected component:
libreoffice-core-4.1.3.2-4.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/mborzecki/work/openrnd/doc/CarSync%20North%20API.odt --splash-pipe=5
crash_function: exit
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #6 exit at exit.c:104
 #8 _start
Comment 1 Maciek Borzecki 2013-11-13 11:59:09 EST
Created attachment 823548 [details]
File: backtrace
Comment 2 Maciek Borzecki 2013-11-13 11:59:13 EST
Created attachment 823549 [details]
File: cgroup
Comment 3 Maciek Borzecki 2013-11-13 11:59:18 EST
Created attachment 823550 [details]
File: core_backtrace
Comment 4 Maciek Borzecki 2013-11-13 11:59:22 EST
Created attachment 823551 [details]
File: dso_list
Comment 5 Maciek Borzecki 2013-11-13 11:59:26 EST
Created attachment 823552 [details]
File: environ
Comment 6 Maciek Borzecki 2013-11-13 11:59:31 EST
Created attachment 823553 [details]
File: exploitable
Comment 7 Maciek Borzecki 2013-11-13 11:59:35 EST
Created attachment 823554 [details]
File: limits
Comment 8 Maciek Borzecki 2013-11-13 11:59:40 EST
Created attachment 823555 [details]
File: maps
Comment 9 Maciek Borzecki 2013-11-13 11:59:44 EST
Created attachment 823556 [details]
File: open_fds
Comment 10 Maciek Borzecki 2013-11-13 11:59:48 EST
Created attachment 823557 [details]
File: proc_pid_status
Comment 11 Maciek Borzecki 2013-11-13 11:59:53 EST
Created attachment 823558 [details]
File: var_log_messages
Comment 12 Stephan Bergmann 2013-11-13 13:55:25 EST
static SwXTextDocument instance destroyed during exit; lets see where that originated
Comment 13 Caolan McNamara 2013-11-14 05:02:38 EST
*** Bug 981349 has been marked as a duplicate of this bug. ***
Comment 14 Stephan Bergmann 2013-11-25 02:37:31 EST
*** Bug 1033836 has been marked as a duplicate of this bug. ***
Comment 15 Stephan Bergmann 2013-11-25 11:59:33 EST
By chance found a namespace-global css::uno::Reference<css::frame::XModel> in filter/source/xmlfilteradaptor/XmlFilterAdaptor.cxx now that causes this crash on exit e.g. after using the writer2latex extension to export a document.  (And to add insult to injury, that variable is apparently effectively unused since 2004.)
Comment 16 Fedora Update System 2013-11-28 04:29:42 EST
libreoffice-4.1.3.2-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc20
Comment 17 Fedora Update System 2013-11-28 04:31:15 EST
libreoffice-4.1.3.2-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.3.2-8.fc19
Comment 18 Fedora Update System 2013-11-29 11:04:31 EST
Package libreoffice-4.1.3.2-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.3.2-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22404/libreoffice-4.1.3.2-8.fc20
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-12-07 01:59:30 EST
libreoffice-4.1.3.2-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-12-13 21:50:36 EST
libreoffice-4.1.3.2-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.